Bug 1139903 - [RFE] searching users by role_id not supported
Summary: [RFE] searching users by role_id not supported
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: Unspecified
Assignee: Shlomi Zadok
QA Contact: Kedar Bidarkar
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-09 23:51 UTC by Tom McKay
Modified: 2017-02-23 20:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:16:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC
Foreman Issue Tracker 7393 None None None 2016-04-22 15:00:31 UTC

Description Tom McKay 2014-09-09 23:51:46 UTC
Unable to search users by role_id through api.

To reproduce: Visit the UI and try typing in "role" to see what autocomplete choices are. Also fails via api.

Comment 1 Tom McKay 2014-09-09 23:51:47 UTC
Created from redmine issue http://projects.theforeman.org/issues/7393

Comment 4 Bryan Kearney 2014-09-16 08:04:43 UTC
Upstream bug assigned to szadok@redhat.com

Comment 5 Bryan Kearney 2014-09-29 10:06:38 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/7393 has been closed
-------------
Shlomi Zadok
Applied in changeset commit:6e948c947f8e85dfe5a499d16b5704bddd34c58d.

Comment 8 Kedar Bidarkar 2015-03-10 15:07:17 UTC
VERIFIED with sat6.1 beta snap5

Checked via web-UI and also via the CLI and it works.

[root@xyzabc ~]# hammer -u admin -p changeme user list --role-id 18
---|---------|------|------------------
ID | LOGIN   | NAME | EMAIL            
---|---------|------|------------------
4  | kkreddy |      | kkreddy@gmail.com
---|---------|------|------------------

Comment 9 Bryan Kearney 2015-08-11 13:21:30 UTC
This bug is slated to be released with Satellite 6.1.

Comment 10 errata-xmlrpc 2015-08-12 05:16:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.